--- 
roles_001: 
  name: Manager
  id: 1
  builtin: 0
  issues_visibility: all
  permissions: |
    --- 
    - :add_project
    - :edit_project
    - :close_project
    - :select_project_modules
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :manage_subtasks
    - :add_issue_notes
    - :move_issues
    - :delete_issues
    - :view_issue_watchers
    - :add_issue_watchers
    - :set_issues_private
    - :set_notes_private
    - :view_private_notes
    - :delete_issue_watchers
    - :manage_public_queries
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :edit_time_entries
    - :delete_time_entries
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :export_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages_attachments
    - :protect_wiki_pages
    - :delete_wiki_pages
    - :rename_wiki_pages
    - :add_messages
    - :edit_messages
    - :delete_messages
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :manage_repository
    - :view_changesets
    - :manage_related_issues
    - :manage_project_activities

  position: 1
roles_002: 
  name: Developer
  id: 2
  builtin: 0
  issues_visibility: default
  permissions: |
    --- 
    - :edit_project
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :manage_subtasks
    - :add_issue_notes
    - :move_issues
    - :delete_issues
    - :view_issue_watchers
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :edit_own_time_entries
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :protect_wiki_pages
    - :delete_wiki_pages
    - :add_messages
    - :edit_own_messages
    - :delete_own_messages
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 2
roles_003: 
  name: Reporter
  id: 3
  builtin: 0
  issues_visibility: default
  permissions: |
    --- 
    - :edit_project
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :add_issue_notes
    - :move_issues
    - :view_issue_watchers
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages
    - :add_messages
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 3
roles_004: 
  name: Non member
  id: 4
  builtin: 1
  issues_visibility: default
  permissions: |
    --- 
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :add_issue_notes
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :comment_news
    - :view_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :add_messages
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 4
roles_005: 
  name: Anonymous
  id: 5
  builtin: 2
  issues_visibility: default
  permissions: |
    --- 
    - :view_issues
    - :add_issue_notes
    - :view_gantt
    - :view_calendar
    - :view_time_entries
    - :view_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :view_files
    - :browse_repository
    - :view_changesets

  position: 5
roles_trustie_001:
  id: 7
  name: 助教
  position: 6
  assignable: true
  builtin: 0
  permissions:
    - :add_project
    - :edit_project
    - :manage_members
    - :view_journals_for_messages
    - :add_course
    - :edit_course
    - :close_course
    - :select_course_modules
    - :view_course_journals_for_messages
    - :manage_files
    - :view_course_files
    - :comment_news
    - :manage_boards
    - :add_messages
    - :delete_own_messages
    - :view_calendar
    - :view_documents
    - :view_files
    - :view_gantt
    - :view_issues
    - :add_issues
    - :add_issue_notes
    - :save_queries
    - :browse_repository
    - :view_changesets
    - :view_time_entries
    - :view_wiki_pages
    - :export_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages_attachments
    - :as_teacher
  issues_visibility: default
roles_trustie_002:
  id: 9
  name: 老师
  position: 7
  assignable: true
  builtin: 0
  permissions:
    - :add_project
    - :edit_project
    - :close_project
    - :select_project_modules
    - :manage_members
    - :manage_versions
    - :add_subprojects
    - :view_journals_for_messages
    - :add_course
    - :edit_course
    - :close_course
    - :select_course_modules
    - :view_course_journals_for_messages
    - :manage_files
    - :view_course_files
    - :manage_news
    - :comment_news
    - :manage_boards
    - :add_messages
    - :edit_messages
    - :edit_own_messages
    - :delete_messages
    - :delete_own_messages
    - :view_calendar
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_documents
    - :view_files
    - :view_gantt
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :manage_subtasks
    - :set_issues_private
    - :set_own_issues_private
    - :add_issue_notes
    - :edit_issue_notes
    - :edit_own_issue_notes
    - :view_private_notes
    - :set_notes_private
    - :move_issues
    - :delete_issues
    - :manage_public_queries
    - :save_queries
    - :view_issue_watchers
    - :add_issue_watchers
    - :delete_issue_watchers
    - :manage_repository
    - :browse_repository
    - :view_changesets
    - :commit_access
    - :manage_related_issues
    - :log_time
    - :view_time_entries
    - :edit_time_entries
    - :edit_own_time_entries
    - :manage_project_activities
    - :manage_wiki
    - :rename_wiki_pages
    - :delete_wiki_pages
    - :view_wiki_pages
    - :export_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages_attachments
    - :protect_wiki_pages
    - :as_teacher
  issues_visibility: default
roles_trustie_003:
  id: 10
  name: 学生
  position: 8
  assignable: true
  builtin: 0
  permissions:
    - :add_project
    - :view_journals_for_messages
    - :add_course
    - :edit_course
    - :close_course
    - :select_course_modules
    - :view_course_journals_for_messages
    - :view_course_files
    - :comment_news
    - :manage_boards
    - :add_messages
    - :edit_own_messages
    - :delete_own_messages
    - :view_calendar
    - :view_documents
    - :view_files
    - :view_gantt
    - :view_issues
    - :add_issues
    - :add_issue_notes
    - :save_queries
    - :browse_repository
    - :view_changesets
    - :view_time_entries
    - :view_wiki_pages
    - :view_wiki_edits
    - :paret_in_homework
    - :as_student
  issues_visibility: default

